### Constructor

# Foundry ExtensionSet new

#### Declaration [src]

    FoundryExtensionSet*
    foundry_extension_set_new (
      FoundryContext* context,
      PeasEngine* engine,
      GType interface_type,
      const char* key,
      const char* value,
      ...
    )

#### Description

No description available.

This constructor is not directly available to language bindings.

#### Parameters

`context`

  Type: `FoundryContext`

  No description available.

  The data is owned by the caller of the function.

`engine`

  Type: `PeasEngine`

  No description available.

  The data is owned by the caller of the function.

`interface_type`

  Type: `GType`

  No description available.

`key`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  No description available.

#### Return value

Type: `FoundryExtensionSet`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.